VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2250
   ClientLeft      =   465
   ClientTop       =   810
   ClientWidth     =   6735
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2250
   ScaleWidth      =   6735
   Begin VB.Frame Frame1 
      Caption         =   "Items"
      Height          =   1215
      Left            =   3720
      TabIndex        =   8
      Top             =   360
      Width           =   1935
      Begin VB.CommandButton cmdMakeItems 
         Caption         =   "Make Items"
         Height          =   495
         Left            =   360
         TabIndex        =   11
         Top             =   600
         Width           =   1215
      End
      Begin VB.TextBox txtNumItems 
         Height          =   285
         Left            =   1200
         TabIndex        =   10
         Text            =   "20"
         Top             =   240
         Width           =   495
      End
      Begin VB.Label Label2 
         Caption         =   "Total Items"
         Height          =   255
         Left            =   240
         TabIndex        =   9
         Top             =   240
         Width           =   855
      End
   End
   Begin VB.VScrollBar vbarItems 
      Height          =   1695
      Left            =   6360
      TabIndex        =   5
      Top             =   120
      Width           =   255
   End
   Begin VB.Label Label1 
      Caption         =   $"Form1.frx":0000
      Height          =   1095
      Index           =   1
      Left            =   120
      TabIndex        =   12
      Top             =   960
      Width           =   3495
   End
   Begin VB.Label Label1 
      Caption         =   "This example shows how to set a ScrollBar's LargeChange value so the scroll thumb is proportionally sized."
      Height          =   615
      Index           =   0
      Left            =   120
      TabIndex        =   7
      Top             =   120
      Width           =   3495
   End
   Begin VB.Label lblPosition 
      Alignment       =   2  'Center
      Height          =   255
      Left            =   5760
      TabIndex        =   6
      Top             =   1920
      Width           =   855
   End
   Begin VB.Label lblNumber 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Index           =   5
      Left            =   5760
      TabIndex        =   4
      Top             =   1560
      Width           =   495
   End
   Begin VB.Label lblNumber 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Index           =   4
      Left            =   5760
      TabIndex        =   3
      Top             =   1200
      Width           =   495
   End
   Begin VB.Label lblNumber 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Index           =   3
      Left            =   5760
      TabIndex        =   2
      Top             =   840
      Width           =   495
   End
   Begin VB.Label lblNumber 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Index           =   2
      Left            =   5760
      TabIndex        =   1
      Top             =   480
      Width           =   495
   End
   Begin VB.Label lblNumber 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Index           =   1
      Left            =   5760
      TabIndex        =   0
      Top             =   120
      Width           =   495
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private TheItems() As Integer
Private NumItems As Integer

Private Const NUM_VISIBLE = 5

Private Sub cmdMakeItems_Click()
Dim i As Integer

    NumItems = CInt(txtNumItems.Text)
    If NumItems < 1 Then
        NumItems = 1
        txtNumItems.Text = "1"
    End If
    
    ReDim TheItems(1 To NumItems)
    For i = 1 To NumItems
        TheItems(i) = i
    Next i

    ' See if the scroll bar is necessary.
    If NumItems < NUM_VISIBLE Then
        ' We don't need a scroll bar.
        vbarItems.Visible = False
        
        ' Display the items.
        For i = 1 To NumItems
            lblNumber(i).Caption = Format$(TheItems(i))
            lblNumber(i).Visible = True
        Next i
        For i = NumItems + 1 To NUM_VISIBLE
            lblNumber(i).Visible = False
        Next i
        lblPosition.Caption = "1-" & _
            Format$(NumItems) & _
            " of " & Format$(NumItems)
    Else
        ' Set the scroll bar properties.
        vbarItems.Min = 1
        vbarItems.Max = NumItems - NUM_VISIBLE + 1
        vbarItems.SmallChange = 1
        vbarItems.LargeChange = _
            (vbarItems.Max - vbarItems.Min) _
                * NUM_VISIBLE / (NumItems - NUM_VISIBLE)
        vbarItems.Visible = True

        ' Make the labels visible.
        For i = 1 To NUM_VISIBLE
            lblNumber(i).Visible = True
        Next i
    End If
End Sub

' Update the displayed values.
Private Sub vbarItems_Change()
Dim index As Integer
Dim item As Integer

    If NumItems < 1 Then Exit Sub

    item = vbarItems.Value
    For index = 1 To NUM_VISIBLE
        lblNumber(index).Caption = Format$(TheItems(item))
        item = item + 1
    Next index
    
    lblPosition.Caption = _
        Format$(TheItems(vbarItems.Value)) & _
        "-" & _
        Format$(TheItems(vbarItems.Value + NUM_VISIBLE - 1)) & _
        " of " & Format$(NumItems)
End Sub


Private Sub vbarItems_Scroll()
    vbarItems_Change
End Sub


